Summary: GNU Plotting Utilities
Name: plotutils
Version: 2.1.6
Release: 3
Group: Applications/Graphics
Copyright: GPL
Url: http://www.gnu.org/software/plotutils/plotutils.html
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/pub/gnu/plotutils-2.1.6.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description 
The GNU plotting utilities include: (1) Sample command-line applications
`graph', `plot', `tek2plot', and `plotfont', which are built on top of the
GNU libplot DLL.  `graph' is a powerful utility for XY plotting, `plot'
translates GNU metafiles to other formats, `tek2plot' translates legacy
Tektronix data, and `plotfont' plots character maps.  (2) GNU libplot, the
underlying DLL for two-dimensional device-independent vector graphics and
vector graphics animation under the X Window System.  Output formats
include X11, Adobe Illustrator, Postscript (editable with the free `idraw'
drawing editor), Fig (editable with the free `xfig' drawing editor), PCL 5,
HP-GL and HP-GL/2, Tektronix, and GNU metafile format.  Many Postscript,
PCL, and Hershey fonts are supported.  (3) Command-line applications
`spline', `double', and `ode', which are useful in scientific plotting.
`spline' does spline interpolation of input data of arbitrary
dimensionality.  It uses cubic splines, splines under tension, or cubic
Bessel interpolation.  `ode' is an interactive program that can integrate a
user-specified system of ordinary differential equations.


%prep
%setup -q


%build
./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p 		$RPM_BUILD_ROOT/usr
make install     prefix=$RPM_BUILD_ROOT/usr
gzip			$RPM_BUILD_ROOT/usr/info/plotutils.info

mkdir -p		$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
cp fonts/pcf/*.pcf	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
gzip			$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc/*.pcf


%post
/sbin/install-info /usr/info/plotutils.info.gz /usr/info/dir
/sbin/ldconfig
cd /usr/lib/X11/fonts/misc; mkfontdir
# xset fp rehash 2> /dev/null

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/plotutils.info.gz /usr/info/dir
fi

%postun
/sbin/ldconfig
cd /usr/lib/X11/fonts/misc; mkfontdir
# xset fp rehash 2> /dev/null


%files
%defattr(-,root,root)
%doc AUTHORS COMPAT COPYING ChangeLog INSTALL INSTALL.fonts INSTALL.pkg
%doc KNOWN_BUGS NEWS ONEWS PROBLEMS README THANKS TODO
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/*
/usr/share/libplot
/usr/share/ode
/usr/share/tek2plot
# This goes into XFree86's fonts directory
/usr/X11R6/lib/X11/fonts/misc/*.pcf.gz


%clean
rm -rf $RPM_BUILD_ROOT
